Subject: bug#62164: 29.0.60; ediff behaves poorly by default on tiling window managers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Jun 2023 14:29:10 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 05 Jun 2023 17:56:38 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> >> Cc: Po Lu <[email-masked]>, [email-masked]
> >> From: Spencer Baugh <[email-masked]>
> >> Date: Tue, 09 May 2023 14:27:11 -0400
> >> 
> >> +(defcustom ediff-x-utility-control-frame nil
> >> +  "If non-nil, the control frame is a utility window under X.
> >> +
> >> +This is useful in tiling window managers, where this will cause
> >> +the control frame to be floating rather than tiled.  It should be
> >> +harmless on other well-behaved window managers."
> >
> > If this option causes the control frame to be floating rather than
> > tiled, the name of the option should reflect that.  Using "utility" in
> > the name of the variable makes the option less self-explanatory,
> > because that technical terms is not relevant on the user level.
> >
> > Thanks.
> 
> Agreed. Revised patch attached:

Thanks, but I think the first line of the doc string should also be
modified to explain better what the option does.  The rest of the doc
string could then mention "utility window", if doing so will help
someone to understand what happens and why.  But the first line should
be a concise summary, because the various apropos commands show only
that one line.

>      (modify-frame-parameters ctl-frame adjusted-parameters)
> +    (when (and ediff-x-floating-control-frame (eq window-system 'x))
> +      (ediff-frame-make-utility ctl-frame))       ^^^^^^^^^^^^^

I think it is better to use window-system the function here, since
you are talking about a specific frame.